package com.sf.mapperTest;


import com.sf.entity.Classes;
import com.sf.mapper.ClassesMapper;
import com.sf.util.SqlSessionFactoryUtils;
import org.apache.ibatis.session.SqlSession;
import org.junit.Test;

import java.util.List;

/**
 * @author WanJl
 * @version 1.0
 * @title ClassesMapperTest
 * @description
 * @create 2025/11/9
 */
public class ClassesMapperTest {
    @Test
    public void selectAll(){
        SqlSession sqlSession = SqlSessionFactoryUtils.getSqlSession();
        ClassesMapper classesMapper = sqlSession.getMapper(ClassesMapper.class);
        List<Classes> classes = classesMapper.selectAll();
        classes.forEach(System.out::println);
    }
}
